Subject: Re: scheduler crash on Power

From: Michael Ellerman <[email-masked]>
Date: Fri, 01 Aug 2014 11:53:37 +1000

On Wed, 2014-07-30 at 00:22 -0700, Sukadev Bhattiprolu wrote:
> I am getting this crash on a Powerpc system using 3.16.0-rc7 kernel plus
> some patches related to perf (24x7 counters) that Cody Schafer posted here:
> 
> 	https://lkml.org/lkml/2014/5/27/768
> 
> I don't get the crash on an unpatched kernel though.

You mean you don't get the crash on 3.16-rc7 ?

I find it hard to believe those 24x7 patches are causing this.
 
> I am also attaching the debug messages that Peterz added
> here: https://lkml.org/lkml/2014/7/17/288

I don't see any FAIL messages in your log, so it looks like you're not hitting
the case that patch was looking for?

> Appreciate any debug suggestions.

Reproduce on an unpatched kernel.

cheers